HanMacWrdKGraphInternal::State Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
HanMacWrdKGraphInternal::State Struct Reference

Internal: the state of a HanMacWrdKGraph. More...

## Public Member Functions
| State ()
| constructor More...
bool | getColor (int id, MWAWColor &col)
| returns a color correspond to an id More...
bool | getPattern (int id, Pattern &pattern)
| returns a pattern correspond to an id More...
void | initColors ()
| init the color list More...
void | initPatterns ()
| init the pattenr list More...

## Static Public Member Functions
static MWAWColor | getColor (MWAWColor col, float pattern)
| returns a color corresponding to a pattern and a color More...

## Public Attributes
int | m_numPages
std::multimap< long, shared_ptr< Frame > > | m_framesMap
| a map fileId -> frame More...
std::map< long, shared_ptr< Picture > > | m_picturesMap
| a map fileId -> picture More...
std::vector< MWAWColor > | m_colorList
| a list colorId -> color More...
std::vector< Pattern > | m_patternList
| the patterns list More...

## Detailed Description

Internal: the state of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

## ◆ State()

HanMacWrdKGraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getColor() [1/2]

bool HanMacWrdKGraphInternal::State::getColor | ( | int | id,
|  | MWAWColor & | col
| ) |  |
| inline

returns a color correspond to an id

## ◆ getColor() [2/2]

static MWAWColor HanMacWrdKGraphInternal::State::getColor | ( | MWAWColor | col,
|  | float | pattern
| ) |  |
| inlinestatic

returns a color corresponding to a pattern and a color

## ◆ getPattern()

bool HanMacWrdKGraphInternal::State::getPattern | ( | int | id,
|  | Pattern & | pattern
| ) |  |
| inline

returns a pattern correspond to an id

## ◆ initColors()

void HanMacWrdKGraphInternal::State::initColors | ( |  | ) |

init the color list

## ◆ initPatterns()

void HanMacWrdKGraphInternal::State::initPatterns | ( |  | ) |

init the pattenr list

## Member Data Documentation

## ◆ m_colorList

std::vector<MWAWColor> HanMacWrdKGraphInternal::State::m_colorList

a list colorId -> color

## ◆ m_framesMap

std::multimap<long, shared_ptr<Frame> > HanMacWrdKGraphInternal::State::m_framesMap

a map fileId -> frame

## ◆ m_numPages

int HanMacWrdKGraphInternal::State::m_numPages

## ◆ m_patternList

std::vector<Pattern> HanMacWrdKGraphInternal::State::m_patternList

the patterns list

## ◆ m_picturesMap

std::map<long, shared_ptr<Picture> > HanMacWrdKGraphInternal::State::m_picturesMap

a map fileId -> picture

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx